com.amazonaws.services.elastictranscoder.model

## Class ListJobsByPipelineResult

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.elastictranscoder.model.ListJobsByPipelineResult

All Implemented Interfaces:
  Serializable, Cloneable

    public class ListJobsByPipelineResult
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

The `ListJobsByPipelineResponse` structure.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ListJobsByPipelineResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ListJobsByPipelineResult` `clone()`
`boolean` `equals(Object obj)`
`List<Job>` `getJobs()` An array of `Job` objects that are in the specified pipeline.
`String` `getNextPageToken()` A value that you use to access the second and subsequent pages of results, if any.
`int` `hashCode()`
`void` `setJobs(Collection<Job> jobs)` An array of `Job` objects that are in the specified pipeline.
`void` `setNextPageToken(String nextPageToken)` A value that you use to access the second and subsequent pages of results, if any.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`ListJobsByPipelineResult` `withJobs(Collection<Job> jobs)` An array of `Job` objects that are in the specified pipeline.
`ListJobsByPipelineResult` `withJobs(Job... jobs)` An array of `Job` objects that are in the specified pipeline.
`ListJobsByPipelineResult` `withNextPageToken(String nextPageToken)` A value that you use to access the second and subsequent pages of results, if any.

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ListJobsByPipelineResult

    public ListJobsByPipelineResult()

### Method Detail

#### getJobs

    public List<Job> getJobs()

An array of `Job` objects that are in the specified pipeline.

Returns:
  An array of `Job` objects that are in the specified pipeline.

#### setJobs

    public void setJobs(Collection<Job> jobs)

An array of `Job` objects that are in the specified pipeline.

Parameters:
  `jobs` - An array of `Job` objects that are in the specified pipeline.

#### withJobs

    public ListJobsByPipelineResult withJobs(Job... jobs)

An array of `Job` objects that are in the specified pipeline.

NOTE: This method appends the values to the existing list (if any). Use `setJobs(java.util.Collection)` or `withJobs(java.util.Collection)` if you want to override the existing values.

Parameters:
  `jobs` - An array of `Job` objects that are in the specified pipeline.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withJobs

    public ListJobsByPipelineResult withJobs(Collection<Job> jobs)

An array of `Job` objects that are in the specified pipeline.

Parameters:
  `jobs` - An array of `Job` objects that are in the specified pipeline.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setNextPageToken

    public void setNextPageToken(String nextPageToken)

A value that you use to access the second and subsequent pages of results, if any. When the jobs in the specified pipeline fit on one page or when you've reached the last page of results, the value of `NextPageToken` is `null`.

Parameters:
  `nextPageToken` - A value that you use to access the second and subsequent pages of results, if any. When the jobs in the specified pipeline fit on one page or when you've reached the last page of results, the value of `NextPageToken` is `null`.

#### getNextPageToken

    public String getNextPageToken()

A value that you use to access the second and subsequent pages of results, if any. When the jobs in the specified pipeline fit on one page or when you've reached the last page of results, the value of `NextPageToken` is `null`.

Returns:
  A value that you use to access the second and subsequent pages of results, if any. When the jobs in the specified pipeline fit on one page or when you've reached the last page of results, the value of `NextPageToken` is `null`.

#### withNextPageToken

    public ListJobsByPipelineResult withNextPageToken(String nextPageToken)

A value that you use to access the second and subsequent pages of results, if any. When the jobs in the specified pipeline fit on one page or when you've reached the last page of results, the value of `NextPageToken` is `null`.

Parameters:
  `nextPageToken` - A value that you use to access the second and subsequent pages of results, if any. When the jobs in the specified pipeline fit on one page or when you've reached the last page of results, the value of `NextPageToken` is `null`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public ListJobsByPipelineResult clone()

Overrides:
  `clone` in class `Object`